package cv1;

/**
 *
 * @author Ing. Jaroslav Kuchař <kuchajar at fel.cvut.cz>
 */
public class Datum {

    private int den, mesic, rok;

    public Datum(int den, int mesic, int rok) {
        this.den = den;
        this.mesic = mesic;
        this.rok = rok;
    }

    public int getDen() {
        return den;
    }

    public void setDen(int den) {
        this.den = den;
    }

    public int getMesic() {
        return mesic;
    }

    public void setMesic(int mesic) {
        this.mesic = mesic;
    }

    public int getRok() {
        return rok;
    }

    public void setRok(int rok) {
        this.rok = rok;
    }

    @Override
    public boolean equals(Object obj) {
        if (!(obj instanceof Datum)) {
            return false;
        }
        Datum d = (Datum) obj;
        return (this.den == d.den && this.mesic == d.mesic && this.rok == d.rok);
    }

    @Override
    public String toString() {
        return den + "." + mesic + "." + rok;
    }
}
